package eu.ztsh.wymiana.data.entity;

import eu.ztsh.wymiana.model.Symbol;
import jakarta.persistence.Entity;
import jakarta.persistence.EnumType;
import jakarta.persistence.Enumerated;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name = "currency")
public class CurrencyEntity {

    @Id
    String pesel;
    @Id
    @Enumerated(EnumType.STRING)
    Symbol symbol;
    BigDecimal amount;

}
