package eu.ztsh.wymiana.exception;

import eu.ztsh.wymiana.web.model.CurrencyExchangeRequest;

public class UserNotFoundException extends RuntimeException {

    public UserNotFoundException(CurrencyExchangeRequest entity) {
        this(entity.pesel());
    }

    public UserNotFoundException(String pesel) {
        super("User with PESEL %s not found".formatted(pesel));
    }

}
